- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoStochTournamentSelect< MOEOT > Class Template Reference

Selection strategy that selects ONE individual by stochastic tournament. More...

`#include <moeoStochTournamentSelect.h>`

Inheritance diagram for moeoStochTournamentSelect< MOEOT >:

List of all members.

## Public Member Functions
| moeoStochTournamentSelect (moeoComparator< MOEOT > &_comparator, double _tRate=1.0)
| Full Ctor.
| moeoStochTournamentSelect (double _tRate=1.0)
| Ctor without comparator.
const MOEOT & | operator() (const eoPop< MOEOT > &_pop)
| Apply the tournament to the given population.
## Protected Attributes
moeoComparator< MOEOT > & | comparator
| the comparator (used to compare 2 individuals)
moeoFitnessThenDiversityComparator< MOEOT > | defaultComparator
| a fitness then diversity comparator can be used as default
double | tRate
| the tournament rate

## Detailed Description

### template<class MOEOT>
class moeoStochTournamentSelect< MOEOT >

Selection strategy that selects ONE individual by stochastic tournament.

Definition at line 24 of file moeoStochTournamentSelect.h.

## Constructor & Destructor Documentation

template<class MOEOT>

moeoStochTournamentSelect< MOEOT >::moeoStochTournamentSelect | ( | moeoComparator< MOEOT > & | _comparator,
|  | double | _tRate = `1.0` |
| ) |  |  | `[inline]`

Full Ctor.

Parameters:

  | _comparator | the comparator (used to compare 2 individuals)
  | _tRate | the tournament rate

Definition at line 33 of file moeoStochTournamentSelect.h.

References moeoStochTournamentSelect< MOEOT >::tRate.

template<class MOEOT>

moeoStochTournamentSelect< MOEOT >::moeoStochTournamentSelect | ( | double | _tRate = `1.0` | ) | `[inline]`

Ctor without comparator.

A moeoFitnessThenDiversityComparator is used as default.

Parameters:

  | _tRate | the tournament rate

Definition at line 53 of file moeoStochTournamentSelect.h.

References moeoStochTournamentSelect< MOEOT >::tRate.

## Member Function Documentation

template<class MOEOT>

const MOEOT& moeoStochTournamentSelect< MOEOT >::operator() | ( | const eoPop< MOEOT > & | _pop | ) | `[inline]`

Apply the tournament to the given population.

Parameters:

  | _pop | the population

Definition at line 73 of file moeoStochTournamentSelect.h.

References moeoStochTournamentSelect< MOEOT >::comparator, and moeoStochTournamentSelect< MOEOT >::tRate.

The documentation for this class was generated from the following file:

- moeoStochTournamentSelect.h